Lista contas de serviço ao cliente com escopo de projeto. Exige PROJECT_OWNER, PROJECT_MEMBER ou AGENT_DEVELOPER (somente leitura); ORG_ADMIN para a organização possuidora também passa.
parâmetros de query
-
Tamanho da página (padrão 50, máximo 200)
-
Definir cursor a partir do próximo_cursor de uma resposta anterior
Respostas
-
Versão de API não permitida ou malformada, uma operação indisponível no contrato publicado selecionado ou uma representação inaceitável (incluindo parâmetros de tipo de mídia não suportados ou SSE excluído). Falhas existentes de autenticação, autorização e limite de taxa têm precedência.
-
OK
-
Solicitação inválida
-
Proibido
-
Não encontrado
-
Erro interno do servidor
GET /api/v1/projects/{id}/service-accounts
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/service-accounts' \
--header "Authorization: $API_KEY"
Exemplos de resposta (406)
Operação indisponível
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
Exemplos de resposta (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
Exemplos de resposta (200)
{
"caller_ip": "string",
"next_cursor": "string",
"service_accounts": [
{
"active_secret": {
"created_at": "string",
"expires_at": "string",
"last_used_at": "string",
"masked_value": "string"
},
"client_id": "string",
"created_at": "string",
"description": "string",
"id": "string",
"ip_access_list": [
"string"
],
"is_active": true,
"is_system_managed": true,
"name": "string",
"org_id": "string",
"owner": "string",
"project_id": "string",
"role_assignments": [
{
"org_id": "string",
"project_id": "string",
"role": "string"
}
],
"type": "string",
"updated_at": "string"
}
],
"total": 42
}
Exemplos de resposta (200)
{
"caller_ip": "string",
"next_cursor": "string",
"service_accounts": [
{
"active_secret": {
"created_at": "string",
"expires_at": "string",
"last_used_at": "string",
"masked_value": "string"
},
"client_id": "string",
"created_at": "string",
"description": "string",
"id": "string",
"ip_access_list": [
"string"
],
"is_active": true,
"is_system_managed": true,
"name": "string",
"org_id": "string",
"owner": "string",
"project_id": "string",
"role_assignments": [
{
"org_id": "string",
"project_id": "string",
"role": "string"
}
],
"type": "string",
"updated_at": "string"
}
],
"total": 42
}
Exemplos de resposta (400)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (400)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (403)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (403)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (404)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (404)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (500)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (500)
{
"code": "string",
"error": "string",
"success": true
}